<Input::ContainerGroup @isMainValue={{true}} @title={{t 'domain name'}} @onSave={{this.save}} @onCancel={{this.cancel}} @onEdit={{@onEdit}} @editablePanel={{@editablePanel}} @savingPanel={{@savingPanel}} {{did-insert this.setup}} as |editMode|>
  {{#if editMode}}
    {{#if @value.allowDomainChange}}
      <Input @value={{this.domain}} class='form-control input-domain' />
    {{else}}
      <Input::SpaceSubdomain @value={{@value.domain}} @onChange={{this.changeDomain}} />
    {{/if}}
  {{else}}
    <div>
      <a href='https://{{@value.domain}}' target='_blank' class='domain-url'>{{@value.domain}}</a>
      {{#if @value.allowDomainChange}}
        -
        {{#if @value.hasDomainValidated}}
          <span class='domain-validation-success text-success'>
            {{t 'verified'}}
          </span>
        {{else}}
          <span class='domain-validation-danger text-danger'>
            {{t 'unverified'}}
          </span>
        {{/if}}

        <div class='mt-3'>
          <input disabled value={{this.dns}} class='form-control domain-dns' />
          <span class='text-sm text-muted'>{{t 'message-dns-setup'}}</span>
        </div>

        <div class='mt-3'>
          <input disabled value={{this.dnsVerification}} class='form-control domain-validation-key' />
          <span class='text-sm text-muted'>{{t 'message-dns-verification'}}</span>
        </div>

        <div class='mt-3'>

          <Input::Button class='btn btn-secondary btn-verify' @action={{this.verify}}>
            {{t 'verify'}}
          </Input::Button>
        </div>
      {{/if}}
    </div>
  {{/if}}
</Input::ContainerGroup>